package com.bocloud.cmp.model.hmc;

/**
 * HMC光迁通道虚拟适配器
 *
 * @author ShaolongTan
 */
@Deprecated
public class HmcProfileFibreAdapterModel {
    private Long id; // ID
    private Long profileId;
    private Integer adapterId;
    private Integer connectingPartitionId;
    private Integer connectingVirtualSlotNumber;
    private Long connectingPhysicalFibreChannelId;
    private Boolean isRequired;
    private String type;
    private String wwpns;
    private Boolean isDelete;
    private String connectingPartitionName;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getProfileId() {
        return profileId;
    }

    public void setProfileId(Long profileId) {
        this.profileId = profileId;
    }

    public Integer getAdapterId() {
        return adapterId;
    }

    public void setAdapterId(Integer adapterId) {
        this.adapterId = adapterId;
    }

    public Integer getConnectingPartitionId() {
        return connectingPartitionId;
    }

    public void setConnectingPartitionId(Integer connectingPartitionId) {
        this.connectingPartitionId = connectingPartitionId;
    }

    public Integer getConnectingVirtualSlotNumber() {
        return connectingVirtualSlotNumber;
    }

    public void setConnectingVirtualSlotNumber(Integer connectingVirtualSlotNumber) {
        this.connectingVirtualSlotNumber = connectingVirtualSlotNumber;
    }

    public Boolean getIsRequired() {
        return isRequired;
    }

    public void setIsRequired(Boolean isRequired) {
        this.isRequired = isRequired;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getWwpns() {
        return wwpns;
    }

    public void setWwpns(String wwpns) {
        this.wwpns = wwpns;
    }

    public String getConnectingPartitionName() {
        return connectingPartitionName;
    }

    public void setConnectingPartitionName(String connectingPartitionName) {
        this.connectingPartitionName = connectingPartitionName;
    }

    public Long getConnectingPhysicalFibreChannelId() {
        return connectingPhysicalFibreChannelId;
    }

    public void setConnectingPhysicalFibreChannelId(Long connectingPhysicalFibreChannelId) {
        this.connectingPhysicalFibreChannelId = connectingPhysicalFibreChannelId;
    }

    public Boolean getIsDelete() {
        return isDelete;
    }

    public void setIsDelete(Boolean delete) {
        isDelete = delete;
    }
}
